STRIP=$(TARGET)-strip

.PHONY: .package.dirclean .package.dlclean

.package.dl:
	-rm -f $@
	-mkdir -p $(DLLOC)
	wget -O $(DLLOC)/$(FILE) $(URL)
	touch $@

.package.ex: .package.dl 
	-rm -f $@
	-rm -rf $(DIR)
	-mkdir -p $(BUILD_BASE)
	extractany $(DLLOC)/$(FILE) $(BUILD_BASE)
	if [ -n "$(PATCHES)" ] && [ -d "$(PATCHES)" ]; then applypatches $(DIR) $(PATCHES) || exit 1; fi
	touch $@

.package.dirclean:
	-rm -f ".package.ex"
	-rm -rf $(DIR)
	-if [ -n "$(STAGING_DIR)" ]; then rm -rf $(STAGING_DIR); fi

.package.dlclean: .package.dirclean
	-rm -f ".package.dl"
	-rm -f $(DLLOC)/$(FILE)
