CSV_XS_VERSION := 0.64
CSV_XS_FILE := Text-CSV_XS-$(CSV_XS_VERSION).tgz
CSV_XS_URL := http://search.cpan.org/CPAN/authors/id/H/HM/HMBRAND/$(CSV_XS_FILE)
CSV_XS_DIR := Text-CSV_XS-$(CSV_XS_VERSION)

CSV_XS_DEPENDS := $(DIR_STAGE)/debootstrap \
				$(DIR_STAGE)/packages

$(DIR_STAGE)/csv_xs: $(CSV_XS_DEPENDS) $(DLLOC)/$(CSV_XS_FILE) $(DIR_STAGE)/.package.setup $(DIR_STAGE)/.package.tools envstrip
	-rm -f $@
	-rm -rf $(DIR)/tmp/$(CSV_XS_DIR) 
	-mkdir -p $(DIR)/tmp
	( cd $(DIR)/tmp && tar xfz $(DLLOC)/$(CSV_XS_FILE) )
	-echo -e "#!/bin/bash\n \
		cd /tmp/$(CSV_XS_DIR) || exit 1\n \
		perl Makefile.PL || exit 1\n \
		make || exit 1\n \
		make install || exit 1" > $(DIR)/tmp/$(CSV_XS_DIR)/.exec
	-chmod 0755 $(DIR)/tmp/$(CSV_XS_DIR)/.exec
	$(IMGEXECNRB) /tmp/$(CSV_XS_DIR)/.exec $(IMGEXECNRE)
	-rm -rf $(DIR)/tmp/$(CSV_XS_DIR)
	touch $@

$(DLLOC)/$(CSV_XS_FILE):
	-rm -f $@
	 wget -O $@ $(CSV_XS_URL)


TARGETS += $(DIR_STAGE)/csv_xs
.PHONY: csv_xs
csv_xs: $(DIR_STAGE)/csv_xs
